Subject: bug#12192: tr - bytes vs characters

From: Paul Eggert <[email-masked]>
Date: Tue, 14 Aug 2012 00:44:24 -0700

On 08/13/2012 10:34 PM, Eric Blake wrote:
> But POSIX _does_ require that tr be
> locale-aware, and therefore if an implementation provides multibyte
> locales (which most desktop glibc-based GNU/Linux systems do), then tr
> should honor those locales, including multibyte character support.

All this is absolutely correct; but still, if the issue is merely POSIX
conformance, these glibc-based GNU/Linux systems do conform to POSIX,
since the POSIX-conformance document for these systems can state that
the supported locales are merely the single-byte locales.  Admittedly this
is legal hairsplitting, but if POSIX compliance is the issue
then one is in legal-hairsplitting mode already....